Upgrade KDE do 3.4 - Kmail nie uruchamia imaps (imap)

Instalacja Slackware Linux, problemy i wstępna konfiguracja, aktualizacje do nowszych wersji.

Moderatorzy: Moderatorzy, Administratorzy

Awatar użytkownika
haclet
Użytkownik
Posty: 40
Rejestracja: 2004-06-13, 21:34
Lokalizacja: ŁódĽ/Opole
Kontakt:

Upgrade KDE do 3.4 - Kmail nie uruchamia imaps (imap)

Post autor: haclet »

Hello All :D

Zrobiłem uaktualnienie swojego slacka na current. W tym także KDE na 3.4.
Miałem skonfigurowanego kmaila do obsługi z moich skrzynek pocztowych (głównie korzystam z IMAP poprzez SSL).

Po aktualizacji Kmail się uruchamia, jednak wyświetla komunikat:
Could not start process for imaps.

A na konsoli otrzymuję komunikat:
kmail: ERROR: : couldn't create slave : Unable to create io-slave:
klauncher said: Error loading 'kio_imap4'.
kmail:
kmail: ERROR: : couldn't create slave : Unable to create io-slave:
klauncher said: Error loading 'kio_imap4'.
kmail:
kmail: ERROR: : couldn't create slave : Unable to create io-slave:
klauncher said: Error loading 'kio_imap4'.
kmail:
kmail: ERROR: : couldn't create slave : Unable to create io-slave:
klauncher said: Error loading 'kio_imap4'.
kmail:

Dane:
Linux sillap 2.6.10-grsec-laptop #3 Tue May 24 22:22:41 CEST 2005 i586 unknown unknown GNU/Linux

Grsec - jest wkompilowany w jądro, ale nie włączony :D.


Mial ktoś podbny problem? Jak tak to proszę o pomoc, jak nie to też proszę o pomoc :D
Przyznaję że zdarzyło mi się to pierwszy raz :D :D i nie jestem z tego zadowolony, ale co tam.


Pozdrawiam 8)
Pozdrawiam ;-]
Nie amator - nie elita... ;-)
Awatar użytkownika
haclet
Użytkownik
Posty: 40
Rejestracja: 2004-06-13, 21:34
Lokalizacja: ŁódĽ/Opole
Kontakt:

Re: Upgrade KDE do 3.4 - Kmail nie uruchamia imaps (imap)

Post autor: haclet »

Pomogło rozwiązanie:

swaret --install cyrus-sasl
swaret 1.6.2-1

Wyświetlanie dostępnych pakietów pasujących do wyrażenia: cyrus-sasl...
cyrus-sasl-2.1.20-i486-1 (502 kB)

Instaluj cyrus-sasl-2.1.20-i486-1? (t/n/w/k): [t]
[ ftp://sunsite.icm.edu.pl/pub/linux/slac ... re-current ]
### Ściąganie cyrus-sasl-2.1.20-i486-1 (502 kB)...
--- 502 kB/502 kB [ŁĄCZNIE: 502 kB/502 kB] ~ 218 kB/s WYKONANO!
=> <MD5CHECK> MD5 dla pakietu cyrus-sasl-2.1.20-i486-1 OK!
=> Instalowanie cyrus-sasl-2.1.20-i486-1...
Installing package cyrus-sasl-2.1.20-i486-1...
PACKAGE DESCRIPTION:
cyrus-sasl: cyrus-sasl (Simple Authentication and Security Layer)
cyrus-sasl:
cyrus-sasl: This is the Cyrus SASL library. Cyrus SASL is used by mail programs
cyrus-sasl: on the client or server side to provide authentication and
cyrus-sasl: authorization services. See RFC 2222 for more information.
cyrus-sasl:
Executing install script for cyrus-sasl-2.1.20-i486-1...


INFORMACJA: Ustaw DEPENDENCY na 0 w /etc/swaret.conf
aby wyłączyć wspomaganie zależności.

%%% Weryfikowanie zależności... Zależności zweryfikowane poprawnie!

Kmail zaczął pracować poprawnie.
---------------------------------------------------

Rozwiązanie znalezione na stronie:
http://bugs.kde.org/show_bug.cgi?id=104627

:D
Pozdrawiam ;-]
Nie amator - nie elita... ;-)
ODPOWIEDZ